#ifndef SERVICEMANAGER_HPP
#define SERVICEMANAGER_HPP

namespace mole {
    namespace ctx {
	class Client;
    }

    namespace serv {
	class ServiceManager {

	    public :
		ServiceManager(mole::ctx::Client *);
		~ServiceManager();

		void loadServices();

	    private :
		mole::ctx::Client * client;
	};
    }
}

#endif
